Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Class Pain00200102

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_002_02.Pain00200102

    public class Pain00200102
    extends java.lang.Object

Java class for pain.002.001.02 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="pain.002.001.02">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:swift:xsd:$pain.002.002.02}GroupHeaderSEPA"/>
             <element name="OrgnlGrpInfAndSts" type="{urn:swift:xsd:$pain.002.002.02}OriginalGroupInformationSEPA"/>
             <element name="TxInfAndSts" type="{urn:swift:xsd:$pain.002.002.02}PaymentTransactionInformationSEPA" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected GroupHeaderSEPA` `grpHdr`
`protected OriginalGroupInformationSEPA` `orgnlGrpInfAndSts`
`protected java.util.List<PaymentTransactionInformationSEPA>` `txInfAndSts`

### Constructor Summary

Constructors
`Pain00200102()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroupHeaderSEPA` `getGrpHdr()` Gets the value of the grpHdr property.
`OriginalGroupInformationSEPA` `getOrgnlGrpInfAndSts()` Gets the value of the orgnlGrpInfAndSts property.
`java.util.List<PaymentTransactionInformationSEPA>` `getTxInfAndSts()` Gets the value of the txInfAndSts property.
`void` `setGrpHdr​(GroupHeaderSEPA value)` Sets the value of the grpHdr property.
`void` `setOrgnlGrpInfAndSts​(OriginalGroupInformationSEPA value)` Sets the value of the orgnlGrpInfAndSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### grpHdr

    protected GroupHeaderSEPA grpHdr

#### orgnlGrpInfAndSts

    protected OriginalGroupInformationSEPA orgnlGrpInfAndSts

#### txInfAndSts

    protected java.util.List<PaymentTransactionInformationSEPA> txInfAndSts

### Constructor Detail

#### Pain00200102

    public Pain00200102()

### Method Detail

#### getGrpHdr

    public GroupHeaderSEPA getGrpHdr()

Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeaderSEPA`

#### setGrpHdr

    public void setGrpHdr​(GroupHeaderSEPA value)

Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeaderSEPA`

#### getOrgnlGrpInfAndSts

    public OriginalGroupInformationSEPA getOrgnlGrpInfAndSts()

Gets the value of the orgnlGrpInfAndSts property.

Returns:
  possible object is `OriginalGroupInformationSEPA`

#### setOrgnlGrpInfAndSts

    public void setOrgnlGrpInfAndSts​(OriginalGroupInformationSEPA value)

Sets the value of the orgnlGrpInfAndSts property.

Parameters:
  `value` - allowed object is `OriginalGroupInformationSEPA`

#### getTxInfAndSts

    public java.util.List<PaymentTransactionInformationSEPA> getTxInfAndSts()

Gets the value of the txInfAndSts property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the txInfAndSts property.

For example, to add a new item, do as follows:

        getTxInfAndSts().add(newItem);

Objects of the following type(s) are allowed in the list `PaymentTransactionInformationSEPA`